<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextState Method (IEdmWorkflow6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmWorkflow6 Interface : GetNextState Method (IEdmWorkflow6)

Visual Basic
C#
C++/CLI

poPos
  IEdmPos5; position of the next workflow state in the list

Gets the next workflow state in an enumeration.

# Syntax

Visual Basic |
--- | ---

    Function GetNextState( _
       ByVal poPos As IEdmPos5 _
    ) As IEdmState6

C# |
--- | ---

    IEdmState6 GetNextState(
       IEdmPos5 poPos
    )

C++/CLI |
--- | ---

    IEdmState6^ GetNextState(
    &   IEdmPos5^ poPos
    )

#### Parameters

poPos
  IEdmPos5; position of the next workflow state in the list

#### Return Value

IEdmState6

# Example

See the IEdmWorkflow6 examples.

# Remarks

Before calling this method the first time, you must populate poPos with the interface to the position of the first workflow state in the list, IEdmPos5. Call IEdmWorkflow6::GetFirstStatePosition to obtain poPos.

After calling this method the first time, poPos is automatically incremented every time it is called. Call this method repeatedly to obtain the rest of the workflow states in the list.

Be sure to call IEdmPos5::IsNull before you call this method to ensure you have not reached the end of the enumeration.

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmState6.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_END_OF_LIST: You have gone past the end of the list.

# See Also

####

IEdmWorkflow6 Interface
IEdmWorkflow6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0